> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proofage.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get verification age estimation result

> Retrieves sanitized age-threshold and gender estimates for age estimation workspaces.
The gender value uses 0 for female and 1 for male.



## OpenAPI

````yaml /openapi.json get /verifications/{verification}/estimation
openapi: 3.1.0
info:
  title: API Reference
  version: 1.0.0
  description: >-
    ProofAge is an identity verification and age estimation API. Use this API to
    create verification sessions, upload media (selfies and documents), and
    receive decisions via webhooks.
servers:
  - url: https://api.proofage.net/v1
    description: API
security:
  - apiKey: []
    hmacSignature: []
paths:
  /verifications/{verification}/estimation:
    get:
      tags:
        - Verification
      summary: Get verification age estimation result
      description: >-
        Retrieves sanitized age-threshold and gender estimates for age
        estimation workspaces.

        The gender value uses 0 for female and 1 for male.
      operationId: getVerificationEstimation
      parameters:
        - name: verification
          in: path
          required: true
          description: The verification ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: >-
            Verification age estimation result. Gender value mapping: 0 =
            female, 1 = male.
          content:
            application/json:
              schema:
                type: object
                examples:
                  - verification_id: 019de7a0-c11b-7373-9289-b0aa1ba08d13
                    attempt_id: 019de7a2-0305-7269-9cff-1715c71b19ae
                    age_threshold:
                      minimum: 18
                      passed: true
                      confidence: 0.98
                    gender:
                      value: 0
                      confidence: 0.93
                properties:
                  verification_id:
                    type: string
                  attempt_id:
                    type:
                      - string
                      - 'null'
                  age_threshold:
                    type: object
                    properties:
                      minimum:
                        type:
                          - integer
                          - 'null'
                      passed:
                        type:
                          - boolean
                          - 'null'
                      confidence:
                        type:
                          - number
                          - 'null'
                    required:
                      - minimum
                      - passed
                      - confidence
                  gender:
                    type:
                      - object
                      - 'null'
                    properties:
                      value:
                        type:
                          - integer
                          - 'null'
                      confidence:
                        type:
                          - number
                          - 'null'
                    required:
                      - value
                      - confidence
                required:
                  - verification_id
                  - attempt_id
                  - age_threshold
                  - gender
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    apiKey:
      type: apiKey
      description: Your workspace public key (pk_test_… or pk_live_…).
      in: header
      name: X-API-Key
    hmacSignature:
      type: apiKey
      description: >-
        HMAC-SHA256 of the request, hex-encoded, keyed with the workspace secret
        key. See API authentication.
      in: header
      name: X-HMAC-Signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.